<?php 

/**
 * Plugin Name: CC Snippets
 * Plugin URI: https://classiccommerce.cc
 * Author Name: Alan Coggins
 * Author URI: https://classiccommerce.cc
 * Description: Custom functionality for Classic Commerce
 * Version: 1.0.0
 */


/**
 * Remove related products output
 */

add_action('init', 'cc_remove_related_products');

function cc_remove_related_products() {

	remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

}


/**
 * Remove ordering dropdown box on category page
 */

add_action('init', 'cc_remove_ordering_dropdown_box');

function cc_remove_ordering_dropdown_box() {

	remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );

}


/**
 * Remove additional information tab on the single product page
 */

add_filter( 'woocommerce_product_tabs', 'sc_remove_product_tabs', 98 );

function sc_remove_product_tabs( $tabs ) {

	unset( $tabs['additional_information'] ); 

	return $tabs;

}


/**
 * Remove breadcrumbs
 */

add_action('init', 'cc_remove_breadcrumbs');

function cc_remove_breadcrumbs() {

	remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0);

}


/**
 * Remove result count from category page
 */

add_action('init', 'cc_remove_result_count');

function cc_remove_result_count() {

	remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);

}

